import os

from django.core.urlresolvers import reverse_lazy

from evote.settings.dev import *  # noqa


# Django settings

SITE_ID = 6
ALLOWED_HOSTS = [os.environ.get('SN_ADMIN')]
ROOT_URLCONF = 'evote.urls.admin'


# Auth settings

LOGIN_REDIRECT_URL = reverse_lazy("evoteadmin:index")
LOGIN_URL = reverse_lazy("evoteadmin:login")
LOGOUT_URL = reverse_lazy("evoteadmin:logout")


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {
    'evoteadmin': 'evotevotings.admin.jssettings'
}
